# debug\_getRawReceipts

Returns an array of EIP-2718 binary-encoded receipts.

This method will use `80` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

`blockNumber` - Quantity (hex) | Tag - <mark style="color:red;">Required</mark> - The block number as a string in hexadecimal format or latest

## **Returns**

`result` - An array of EIP-2718 binary-encoded receipts.

{% code overflow="wrap" %}

```json
// Result
{
	"jsonrpc": "2.0",
	"result": [
		"0xb901a902f901a501830186a0b9010000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000002000000000050000000000000000008000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000f89bf899944b186949f31fca0ad08497df9169a6bebf0e26efe1a05548c837ab068cf56a2c2479df0882a4922fd203edb7517321831d95078c5f62b860000000000000000000000000322ddf49013f5745dd67a12409c6c085acbda4bb000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000048655cf1673c2800",
		...
}
```

{% endcode %}

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.monad.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method":"debug_getRawReceipts","params":["latest"],"id":1}'
    
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.monad.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method":"debug_getRawReceipts","params":["latest"],"id":1}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/monad/debug-api/debug_getrawreceipts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
